<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xjrsoft.module.hikvision.mapper.HikvisionDataMapper">
    <select id="getTeacherHikvisionId" parameterType="long" resultType="java.lang.String">
        SELECT hikvision_id FROM hikvision_data WHERE source_id = #{id} AND table_name = 'base_teacher'
    </select>
    <select id="getStudentHikvisionId" parameterType="long" resultType="java.lang.String">
        SELECT hikvision_id FROM hikvision_data WHERE source_id = #{id} AND table_name = 'base_student'
    </select>

</mapper>